#pragma once

#include "lexer.h"

#include <string>

namespace usql {

class Exception : public std::runtime_error {
private:
    std::string cause;

public:
    Exception(const std::string &msg);

    const char *what() const noexcept;
};

}